<?php
declare (strict_types = 1);

namespace app\admin\model\v1;

use app\common\model\SysRoleAuthorityBaseModel;

/**
 * @mixin \think\Model
 */
class SysRoleAuthorityModel extends SysRoleAuthorityBaseModel
{
    // role_id查询
    public function scopeRoleId($query, $value)
    {
        return $query->where('role_id', $value);
    }

    // menu_id查询
    public function scopeMenuId($query, $value)
    {
        return $query->where('menu_id', $value);
    }
}
